Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006415TestLinkReportspublic2014-07-02 16:092014-09-27 16:42
Reporteratisne 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006415: Reports with direct link are dispayed shifted
DescriptionReports with world_link.png as bullet (direct link defined) are displayed with a cascading effect.
A report without direct link reset the offset.
Please see attachment.

I don't really understand why.
Steps To Reproduce1- Click on menu 'Test reports'
2- Chose the HTML format
Additional InformationThe use of a table instead of a span do the trick.

{if $gui->do_report.status_ok}
  <table>
  {foreach from=$gui->menuItems item=menu}
    <tr><td>
               {if $menu.directLink != ''}
               {$menu.toggle}
               {else}
                <img src="{$tlImages.bullet}" />
               {/if}
            {$menu.href}format={$selectedReportType}&tplan_id={$gui->tplan_id}
                     {if $gui->checked_show_inactive_tplans}&show_inactive_tplans=1{/if}
               </td></tr>
               {$menu.directLinkDiv}
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgresql 8.3
BrowserFirefox 24.6.0 / Chrome 35.0
PHP Version5.4.29
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Capture du 2014-07-02 18:00:47.png [^] (12,920 bytes) 2014-07-02 16:09


png file icon 1.9.12-report-menu.png [^] (44,974 bytes) 2014-08-19 19:34

- Relationships
child of 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 

-  Notes
(0021205)
fman (administrator)
2014-07-02 18:38

>> Reports with direct link are dispayed shifted
may be subject like 'reports - left side tree - link to reports with direct link are dispayed shifted', will provide better info.

I will try with your proposed solution. This effect does not show on IE
(0021226)
atisne (reporter)
2014-07-09 09:07

The suggested code (in gui/templates/results/resultsNavigator.tpl) is not really good: the div is outside the table cell!

Please rather look this:

<div style="margin:3px; padding: 15px 0px" >
{* Build href menu *}
{if $gui->do_report.status_ok}
  <table>
  {foreach from=$gui->menuItems item=menu}
    <tr><td>
               {if $menu.directLink != ''}
               {$menu.toggle}
               {else}
                <img src="{$tlImages.bullet}" />
               {/if}
            {$menu.href}format={$selectedReportType}&tplan_id={$gui->tplan_id}
                     {if $gui->checked_show_inactive_tplans}&show_inactive_tplans=1{/if}
               {$menu.directLinkDiv}
    </td></tr>
  {/foreach}
  </table>
{else}
  {$gui->do_report.msg}
{/if}
</div>
(0021488)
fman (administrator)
2014-08-19 19:32

trying a different solution
https://gitorious.org/testlink-ga/testlink-code/commit/c33eb33f63daa76c8faa59f3bc7c3dbb230f3b90 [^]
(0021708)
fman (administrator)
2014-09-27 16:42

Release done

- Issue History
Date Modified Username Field Change
2014-07-02 16:09 atisne New Issue
2014-07-02 16:09 atisne File Added: Capture du 2014-07-02 18:00:47.png
2014-07-02 18:38 fman Note Added: 0021205
2014-07-09 09:07 atisne Note Added: 0021226
2014-08-19 19:32 fman Note Added: 0021488
2014-08-19 19:33 fman QA Team - Task Workflow Status => TBD
2014-08-19 19:33 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-08-19 19:33 fman Additional Information Updated View Revisions
2014-08-19 19:34 fman File Added: 1.9.12-report-menu.png
2014-08-19 19:34 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-08-19 19:34 fman Status new => resolved
2014-08-19 19:34 fman Resolution open => fixed
2014-08-19 19:34 fman Assigned To => fman
2014-08-19 19:36 fman Relationship added child of 0006457
2014-09-27 16:42 fman Note Added: 0021708
2014-09-27 16:42 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker